Bug 1394625 - cannot enable FTP service via firewalld/firewall-applet
Summary: cannot enable FTP service via firewalld/firewall-applet
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1394597
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 05:16 UTC by Ed Greshko
Modified: 2017-08-08 19:15 UTC (History)
4 users (show)

Fixed In Version: firewalld-0.4.4.2-1.fc25 firewalld-0.4.4.2-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:15:34 UTC


Attachments (Terms of Use)
screenshot of the error message (126.43 KB, image/jpeg)
2016-11-14 05:16 UTC, Ed Greshko
no flags Details

Description Ed Greshko 2016-11-14 05:16:18 UTC
Created attachment 1220257 [details]
screenshot of the error message

Description of problem: firewall-applet displays error when attempting to enable the ftp service


Version-Release number of selected component (if applicable): firewall-applet-0.4.4.1-1.fc24


How reproducible: Use firewall-applet to edit Firewall Settings and click on ftp.


Steps to Reproduce:
1.
2.
3.

Actual results: An error message "INVALID_HELPER: 'nf_contrack_ftp' not available in kernel" is produced.


Expected results: No error message and ftp service enabled.


Additional info: Problem also exists in the F25 beta with the same versions of firewalld packages.

python-firewall-0.4.4.1-1.fc24.noarch
firewall-config-0.4.4.1-1.fc24.noarch
python3-firewall-0.4.4.1-1.fc24.noarch
firewalld-0.4.4.1-1.fc24.noarch
firewalld-filesystem-0.4.4.1-1.fc24.noarch
firewall-applet-0.4.4.1-1.fc24.noarch

Comment 1 Thomas Woerner 2016-11-14 17:16:26 UTC
There is a SELinux issue:

Please have a look at http://people.redhat.com/twoerner/firewalld/0.4.4.1-1/

There you can find an additional policy module definition file for SELinux: firewalld-0.4.4.te

It only allows firewalld to search and analyse if there are usable netfilter conntrack helpers:

allow firewalld_t modules_object_t:dir { getattr open search read };

Please have a look at the file SELINUX.README to be able to enable and use the module.

Comment 2 Ed Greshko 2016-11-14 21:14:29 UTC
This does not appear to be an SELinux issue for the following reasons.

1. No AVC messages are being generated in /var/log/audit.log at the time of the failure.

2. Issuing a "setenforce 0" does not result a successful setting of ftp service.

3. I followed the instructions noted in Comment 1 and the error persists.

[root@meimei audit]# semodule -l | grep firewall
firewalld
firewalld-0.4.4
firewallgui

Comment 3 Thomas Woerner 2016-11-15 11:02:46 UTC
There is a SELinux issue, but it is dontaudit (not logged). If you use "semodule -DB" then you will see it. You can use "semodule -B" to turn dontaudit on again.

You need to reload or restart firewalld after you set setenfoce to 0 or after you used the additional policy module. firewalld was not able to search and analyse if there are netfilter conntrack modules and which helpers they provide.

Comment 4 Ed Greshko 2016-11-15 14:53:16 UTC
Ah, OK.  I didn't realize that would be the case.

Yes, after restarting firewalld it worked as expected.  Thanks.

Should we assume that a new selinux policy is going to be issued to cover this?

Comment 5 Fedora Update System 2016-12-01 14:53:13 UTC
firewalld-0.4.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 6 Fedora Update System 2016-12-01 14:53:54 UTC
firewalld-0.4.4.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 7 Fedora Update System 2016-12-01 14:54:14 UTC
firewalld-0.4.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 8 Fedora Update System 2016-12-03 04:28:47 UTC
firewalld-0.4.4.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 9 Fedora Update System 2016-12-03 04:35:02 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 10 Fedora Update System 2016-12-03 05:41:41 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 11 Fedora Update System 2016-12-04 02:27:22 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-12-04 05:25:33 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-05 17:37:47 UTC
firewalld-0.4.4.2-2.fc23 selinux-policy-3.13.1-158.25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 14 Fedora Update System 2016-12-13 05:25:05 UTC
firewalld-0.4.4.2-2.fc23, selinux-policy-3.13.1-158.25.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 15 Fedora End Of Life 2017-07-25 23:52:38 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 19:15:34 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.